#include<iostream>
#include<cmath>
int main()
{
	long n,a;
	long niz[2];
	long suma = 0;
	long pretpostavljenaSuma = 0;
	long prethodnaSuma = 0;
	int b;
	int i;
	scanf("%ld%ld",&n,&a);
	pretpostavljenaSuma = a + (a-2);
	if(3*a + 3*(a-2) > n)
	{
		printf("-1");
		return 0;
	}
	for(i = 0;i < 5; i++)
	{
		if(i < 2)
		{		
			niz[0] = a;
			niz[1] = a-2;
		}
		else
		{
			niz[1] = a;
			niz[0] = a-2;
		}
		prethodnaSuma = suma;
		suma += niz[0] + niz[1];
		if(suma + pretpostavljenaSuma > n)
		{
			if(!((n - prethodnaSuma) %2))
			{
				printf("%d %d\n",niz[0] + (n-suma)/2, niz[1] + (n - suma)/2);
			}
			else
			{
				printf("%d %d\n",niz[0] + (n-suma)/2 + 1, niz[1] + (n - suma)/2);				
			}
			return 0;
		}
		if(i == 4 && suma + pretpostavljenaSuma < n)
		{
			if(!((n - suma) %2))			
			{
				printf("%d %d\n",niz[0] + (n-suma)/2, niz[1] + (n - suma)/2);
			}
			else
			{
				printf("%d %d\n",niz[0] + (n-suma)/2 + 1, niz[1] + (n - suma)/2);				
			}
			return 0;
		}
		printf("%d %d\n",niz[0], niz[1]);
	}
	return 0;
}